<?php

/**
 * The dashboard-specific functionality of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Ctlt_Ensure_User_Member_Of_Root_Blog
 * @subpackage Ctlt_Ensure_User_Member_Of_Root_Blog/admin
 */

/**
 * The dashboard-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the dashboard-specific stylesheet and JavaScript.
 *
 * @package    Ctlt_Ensure_User_Member_Of_Root_Blog
 * @subpackage Ctlt_Ensure_User_Member_Of_Root_Blog/admin
 * @author     Richard Tape <richard.tape@ubc.ca>
 */
class Ctlt_Ensure_User_Member_Of_Root_Blog_Admin {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $ctlt_ensure_user_member_of_root_blog    The ID of this plugin.
	 */
	private $ctlt_ensure_user_member_of_root_blog;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @var      string    $ctlt_ensure_user_member_of_root_blog       The name of this plugin.
	 * @var      string    $version    The version of this plugin.
	 */
	public function __construct( $ctlt_ensure_user_member_of_root_blog, $version ) {

		$this->ctlt_ensure_user_member_of_root_blog = $ctlt_ensure_user_member_of_root_blog;
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the Dashboard.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Ctlt_Ensure_User_Member_Of_Root_Blog_Admin_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Ctlt_Ensure_User_Member_Of_Root_Blog_Admin_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */

		wp_enqueue_style( $this->ctlt_ensure_user_member_of_root_blog, plugin_dir_url( __FILE__ ) . 'css/ctlt-ensure-user-member-of-root-blog-admin.css', array(), $this->version, 'all' );

	}

	/**
	 * Register the JavaScript for the dashboard.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Ctlt_Ensure_User_Member_Of_Root_Blog_Admin_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Ctlt_Ensure_User_Member_Of_Root_Blog_Admin_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */

		wp_enqueue_script( $this->ctlt_ensure_user_member_of_root_blog, plugin_dir_url( __FILE__ ) . 'js/ctlt-ensure-user-member-of-root-blog-admin.js', array( 'jquery' ), $this->version, false );

	}

}
